//Generated by wsdl2apex

public class SAPHOGWorkOrderServices {
    public class GetWorkOrderResponse {
        public SAPHOGWorkOrderServices.WorkOrder WorkOrder;
        public String Message;
        public Boolean type_x;
        private String[] WorkOrder_type_info = new String[]{'WorkOrder','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] Message_type_info = new String[]{'Message','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] type_x_att_info = new String[]{'type'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_workorder_service','true','false'};
        private String[] field_order_type_info = new String[]{'WorkOrder','Message'};
    }
    public class ConfirmWorkOrderActivityResponse {
        public String ActivityNumber;
        public String Message;
        public String ReferenceId;
        public Boolean type_x;
        private String[] ActivityNumber_type_info = new String[]{'ActivityNumber','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] Message_type_info = new String[]{'Message','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] ReferenceId_type_info = new String[]{'ReferenceId','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] type_x_att_info = new String[]{'type'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_workorder_service','true','false'};
        private String[] field_order_type_info = new String[]{'ActivityNumber','Message','ReferenceId'};
    }
    public class CreateWorkOrderResponse {
        public SAPHOGWorkOrderServices.WorkOrder WorkOrder;
        public String Message;
        public String ReferenceId;
        public Boolean type_x;
        private String[] WorkOrder_type_info = new String[]{'WorkOrder','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] Message_type_info = new String[]{'Message','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] ReferenceId_type_info = new String[]{'ReferenceId','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] type_x_att_info = new String[]{'type'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_workorder_service','true','false'};
        private String[] field_order_type_info = new String[]{'WorkOrder','Message','ReferenceId'};
    }
    public class WorkOrder {
        public String WorkOrderNumber;
        public String FunctionalLocationObjectId;
        public String FunctionalLocationNumber;
        public String EquipmentNumber;
        public String MaintenancePlanningPlant;
        public String PlannerGroup;
        public String PlantSection;
        public String MainDescription;
        public String MainLongDescription;
        public String Priority;
        public String Revision;
        public String OrderType;
        public String SortField;
        public String UserStatus;
        public String SystemStatus;
        public String SystemCondition;
        public String ABCIndicator;
        public String MainWorkCenter;
        public String MaintenanceActivityType;
        public String WBSElement;
        public String ReferenceNotificationNumber;
        public String ReferenceNotificationType;
        public DateTime TECODateCompleted;
        public Date StartDate;
        public Date FinishDate;
        public Date RequiredEndDate;
        public Date ActualReleaseDate;
        public Date EnteredDate;
        public String EnteredBy;
        public Date ChangedDate;
        public String ChangedBy;
        public String EquipmentDescription;
        public String FunctionalLocationDescription;
        public SAPHOGWorkOrderServices.WorkOrderOperations Operations;
        private String[] WorkOrderNumber_type_info = new String[]{'WorkOrderNumber','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] FunctionalLocationObjectId_type_info = new String[]{'FunctionalLocationObjectId','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] FunctionalLocationNumber_type_info = new String[]{'FunctionalLocationNumber','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] EquipmentNumber_type_info = new String[]{'EquipmentNumber','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] MaintenancePlanningPlant_type_info = new String[]{'MaintenancePlanningPlant','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] PlannerGroup_type_info = new String[]{'PlannerGroup','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] PlantSection_type_info = new String[]{'PlantSection','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] MainDescription_type_info = new String[]{'MainDescription','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] MainLongDescription_type_info = new String[]{'MainLongDescription','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] Priority_type_info = new String[]{'Priority','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] Revision_type_info = new String[]{'Revision','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] OrderType_type_info = new String[]{'OrderType','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] SortField_type_info = new String[]{'SortField','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] UserStatus_type_info = new String[]{'UserStatus','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] SystemStatus_type_info = new String[]{'SystemStatus','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] SystemCondition_type_info = new String[]{'SystemCondition','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] ABCIndicator_type_info = new String[]{'ABCIndicator','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] MainWorkCenter_type_info = new String[]{'MainWorkCenter','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] MaintenanceActivityType_type_info = new String[]{'MaintenanceActivityType','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] WBSElement_type_info = new String[]{'WBSElement','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] ReferenceNotificationNumber_type_info = new String[]{'ReferenceNotificationNumber','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] ReferenceNotificationType_type_info = new String[]{'ReferenceNotificationType','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] TECODateCompleted_type_info = new String[]{'TECODateCompleted','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] StartDate_type_info = new String[]{'StartDate','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] FinishDate_type_info = new String[]{'FinishDate','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] RequiredEndDate_type_info = new String[]{'RequiredEndDate','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] ActualReleaseDate_type_info = new String[]{'ActualReleaseDate','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] EnteredDate_type_info = new String[]{'EnteredDate','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] EnteredBy_type_info = new String[]{'EnteredBy','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] ChangedDate_type_info = new String[]{'ChangedDate','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] ChangedBy_type_info = new String[]{'ChangedBy','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] EquipmentDescription_type_info = new String[]{'EquipmentDescription','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] FunctionalLocationDescription_type_info = new String[]{'FunctionalLocationDescription','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] Operations_type_info = new String[]{'Operations','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_workorder_service','true','false'};
        private String[] field_order_type_info = new String[]{'WorkOrderNumber','FunctionalLocationObjectId','FunctionalLocationNumber','EquipmentNumber','MaintenancePlanningPlant','PlannerGroup','PlantSection','MainDescription','MainLongDescription','Priority','Revision','OrderType','SortField','UserStatus','SystemStatus','SystemCondition','ABCIndicator','MainWorkCenter','MaintenanceActivityType','WBSElement','ReferenceNotificationNumber','ReferenceNotificationType','TECODateCompleted','StartDate','FinishDate','RequiredEndDate','ActualReleaseDate','EnteredDate','EnteredBy','ChangedDate','ChangedBy','EquipmentDescription','FunctionalLocationDescription','Operations'};
    }
    public class UpdateWorkOrderActivitiesRequest {
        public SAPHOGWorkOrderServices.UpdateWorkOrderActivityRequest[] WorkOrderActivityRequestList;
        private String[] WorkOrderActivityRequestList_type_info = new String[]{'WorkOrderActivityRequestList','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','-1','false'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_workorder_service','true','false'};
        private String[] field_order_type_info = new String[]{'WorkOrderActivityRequestList'};
    }
    public class UpdateWorkOrderActivityResponse {
        public String ActivityNumber;
        public String Message;
        public String ReferenceId;
        public Boolean type_x;
        private String[] ActivityNumber_type_info = new String[]{'ActivityNumber','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] Message_type_info = new String[]{'Message','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] ReferenceId_type_info = new String[]{'ReferenceId','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] type_x_att_info = new String[]{'type'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_workorder_service','true','false'};
        private String[] field_order_type_info = new String[]{'ActivityNumber','Message','ReferenceId'};
    }
    public class ConfirmWorkOrderActivitiesResponse {
        public SAPHOGWorkOrderServices.ConfirmWorkOrderActivityResponse[] WorkOrderActivityConfirmResponseList;
        public String Message;
        public Boolean type_x;
        private String[] WorkOrderActivityConfirmResponseList_type_info = new String[]{'WorkOrderActivityConfirmResponseList','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','-1','false'};
        private String[] Message_type_info = new String[]{'Message','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] type_x_att_info = new String[]{'type'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_workorder_service','true','false'};
        private String[] field_order_type_info = new String[]{'WorkOrderActivityConfirmResponseList','Message'};
    }
    public class ConfirmWorkOrderActivitiesRequest {
        public SAPHOGWorkOrderServices.ConfirmWorkOrderActivityRequest[] WorkOrderActivityConfirmRequestList;
        private String[] WorkOrderActivityConfirmRequestList_type_info = new String[]{'WorkOrderActivityConfirmRequestList','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','-1','false'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_workorder_service','true','false'};
        private String[] field_order_type_info = new String[]{'WorkOrderActivityConfirmRequestList'};
    }
    public class ReceiveWorkOrderFromSAPResponse {
        public String CorrelationID;
        private String[] CorrelationID_type_info = new String[]{'CorrelationID','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_workorder_service','true','false'};
        private String[] field_order_type_info = new String[]{'CorrelationID'};
    }
    public class ATLConfirmWorkOrderRequest {
        public String WorkOrderNumber;
        public String OrderType;
        public DateTime StartDateTime;
        public DateTime StopDateTime;
        private String[] WorkOrderNumber_type_info = new String[]{'WorkOrderNumber','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] OrderType_type_info = new String[]{'OrderType','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] StartDateTime_type_info = new String[]{'StartDateTime','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] StopDateTime_type_info = new String[]{'StopDateTime','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_workorder_service','true','false'};
        private String[] field_order_type_info = new String[]{'WorkOrderNumber','OrderType','StartDateTime','StopDateTime'};
    }
    public class CreateWorkOrdersRequest {
        public SAPHOGWorkOrderServices.CreateWorkOrderRequest[] WorkOrderRequestList;
        private String[] WorkOrderRequestList_type_info = new String[]{'WorkOrderRequestList','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','-1','false'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_workorder_service','true','false'};
        private String[] field_order_type_info = new String[]{'WorkOrderRequestList'};
    }
    public class CreateWorkOrdersResponse {
        public SAPHOGWorkOrderServices.CreateWorkOrderResponse[] WorkOrderResponseList;
        public String Message;
        public Boolean type_x;
        private String[] WorkOrderResponseList_type_info = new String[]{'WorkOrderResponseList','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','-1','false'};
        private String[] Message_type_info = new String[]{'Message','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] type_x_att_info = new String[]{'type'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_workorder_service','true','false'};
        private String[] field_order_type_info = new String[]{'WorkOrderResponseList','Message'};
    }
    public class WorkOrderOperationAssignment {
        public String UserId;
        public String FirstName;
        public String LastName;
        private String[] UserId_type_info = new String[]{'UserId','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] FirstName_type_info = new String[]{'FirstName','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] LastName_type_info = new String[]{'LastName','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_workorder_service','true','false'};
        private String[] field_order_type_info = new String[]{'UserId','FirstName','LastName'};
    }
    public class WorkOrderOperations {
        public SAPHOGWorkOrderServices.WorkOrderOperation[] WorkOrderOperation;
        private String[] WorkOrderOperation_type_info = new String[]{'WorkOrderOperation','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','-1','false'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_workorder_service','true','false'};
        private String[] field_order_type_info = new String[]{'WorkOrderOperation'};
    }
    public class UpdateWorkOrderResponse {
        public SAPHOGWorkOrderServices.WorkOrder WorkOrder;
        public String Message;
        public Boolean type_x;
        private String[] WorkOrder_type_info = new String[]{'WorkOrder','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] Message_type_info = new String[]{'Message','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] type_x_att_info = new String[]{'type'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_workorder_service','true','false'};
        private String[] field_order_type_info = new String[]{'WorkOrder','Message'};
    }
    public class RefreshSalesforceWorkOrdersResponse {
        public String Message;
        public Boolean type_x;
        private String[] Message_type_info = new String[]{'Message','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] type_x_att_info = new String[]{'type'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_workorder_service','true','false'};
        private String[] field_order_type_info = new String[]{'Message'};
    }
    public class WorkOrderOperationAssignments {
        public SAPHOGWorkOrderServices.WorkOrderOperationAssignment[] WorkOrderOperationAssignment;
        private String[] WorkOrderOperationAssignment_type_info = new String[]{'WorkOrderOperationAssignment','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','-1','false'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_workorder_service','true','false'};
        private String[] field_order_type_info = new String[]{'WorkOrderOperationAssignment'};
    }
    public class UpdateWorkOrderRequest {
        public String WorkOrderNumber;
        public String MainDescription;
        public String MainLongDescription;
        public String Priority;
        public String MainWorkCenter;
        public String MaintenanceActivityType;
        public String ActivityNumber;
        public String UserStatus;
        public Date LastChangedDate;
        public String LastChangedBy;
        public String EquipmentNumber;        
        private String[] WorkOrderNumber_type_info = new String[]{'WorkOrderNumber','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] MainDescription_type_info = new String[]{'MainDescription','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] MainLongDescription_type_info = new String[]{'MainLongDescription','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] Priority_type_info = new String[]{'Priority','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] MainWorkCenter_type_info = new String[]{'MainWorkCenter','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] MaintenanceActivityType_type_info = new String[]{'MaintenanceActivityType','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] ActivityNumber_type_info = new String[]{'ActivityNumber','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] UserStatus_type_info = new String[]{'UserStatus','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] LastChangedDate_type_info = new String[]{'LastChangedDate','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] LastChangedBy_type_info = new String[]{'LastChangedBy','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] EquipmentNumber_type_info = new String[]{'EquipmentNumber','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};        
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_workorder_service','true','false'};
        private String[] field_order_type_info = new String[]{'WorkOrderNumber','MainDescription','MainLongDescription','Priority','MainWorkCenter','MaintenanceActivityType','ActivityNumber','UserStatus','LastChangedDate','LastChangedBy'};
    }
    public class IsAliveResponse {
        public String ErrorMessage;
        public Boolean Alive;
        private String[] ErrorMessage_type_info = new String[]{'ErrorMessage','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] Alive_att_info = new String[]{'Alive'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_workorder_service','true','false'};
        private String[] field_order_type_info = new String[]{'ErrorMessage'};
    }
    public class UpdateWorkOrderActivityRequest {
        public String FunctionalLocationObjectId;
        public String MainDescription;
        public String MainLongDescription;
        public String WorkCenter;
        public String ActivityNumber;
        public String ActivitySubNumber;
        public String WorkOrderNumber;
        public String UserStatus;
        public String ReferenceId;
        private String[] FunctionalLocationObjectId_type_info = new String[]{'FunctionalLocationObjectId','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] MainDescription_type_info = new String[]{'MainDescription','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] MainLongDescription_type_info = new String[]{'MainLongDescription','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] WorkCenter_type_info = new String[]{'WorkCenter','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] ActivityNumber_type_info = new String[]{'ActivityNumber','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] ActivitySubNumber_type_info = new String[]{'ActivitySubNumber','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] WorkOrderNumber_type_info = new String[]{'WorkOrderNumber','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] UserStatus_type_info = new String[]{'UserStatus','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] ReferenceId_type_info = new String[]{'ReferenceId','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_workorder_service','true','false'};
        private String[] field_order_type_info = new String[]{'FunctionalLocationObjectId','MainDescription','MainLongDescription','WorkCenter','ActivityNumber','ActivitySubNumber','WorkOrderNumber','UserStatus','ReferenceId'};
    }
    public class RefreshSalesforceWorkOrdersRequest {
        public DateTime DateToRefresh;
        public DateTime DateToRefreshEnd;
        private String[] DateToRefresh_type_info = new String[]{'DateToRefresh','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] DateToRefreshEnd_type_info = new String[]{'DateToRefreshEnd','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_workorder_service','true','false'};
        private String[] field_order_type_info = new String[]{'DateToRefresh','DateToRefreshEnd'};
    }
    public class ConfirmWorkOrderActivityRequest {
        public String Description;
        public Date StartDateTime;
        public Date StopDateTime;
        public String ActivityNumber;
        public String SubActivityNumber;
        public String WorkOrderNumber;
        public Decimal Duration;
        public String DurationType;
        public String ReferenceId;
        private String[] Description_type_info = new String[]{'Description','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] StartDateTime_type_info = new String[]{'StartDateTime','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] StopDateTime_type_info = new String[]{'StopDateTime','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] ActivityNumber_type_info = new String[]{'ActivityNumber','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] SubActivityNumber_type_info = new String[]{'SubActivityNumber','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] WorkOrderNumber_type_info = new String[]{'WorkOrderNumber','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] Duration_type_info = new String[]{'Duration','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] DurationType_type_info = new String[]{'DurationType','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] ReferenceId_type_info = new String[]{'ReferenceId','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_workorder_service','true','false'};
        private String[] field_order_type_info = new String[]{'Description','StartDateTime','StopDateTime','ActivityNumber','SubActivityNumber','WorkOrderNumber','Duration','DurationType','ReferenceId'};
    }
    public class ATLConfirmWorkOrderResponse {
        public String WorkOrderNumber;
        public String Message;
        public Boolean type_x;
        private String[] WorkOrderNumber_type_info = new String[]{'WorkOrderNumber','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] Message_type_info = new String[]{'Message','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] type_x_att_info = new String[]{'type'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_workorder_service','true','false'};
        private String[] field_order_type_info = new String[]{'WorkOrderNumber','Message'};
    }
    public class WorkOrderOperation {
        public String ActivityNumber;
        public String ActivitySubNumber;
        public String ControlKey;
        public String Description;
        public String LongDescription;
        public String WorkCenter;
        public String NumberOfPeople;
        public Decimal Duration;
        public String DurationUnits;
        public Decimal Work;
        public String WorkUnits;
        public Date StartDate;
        public Date FinishDate;
        public String FunctionalLocationNumber;
        public String FunctionalLocation;
        public String EquipmentNumber;
        public String UserStatus;
        public String SystemStatus;
        public String SystemCondition;
        public String Recipient;
        public String UnloadingPoint;
        public SAPHOGWorkOrderServices.WorkOrderOperationAssignments Assignments;
        private String[] ActivityNumber_type_info = new String[]{'ActivityNumber','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] ActivitySubNumber_type_info = new String[]{'ActivitySubNumber','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] ControlKey_type_info = new String[]{'ControlKey','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] Description_type_info = new String[]{'Description','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] LongDescription_type_info = new String[]{'LongDescription','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] WorkCenter_type_info = new String[]{'WorkCenter','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] NumberOfPeople_type_info = new String[]{'NumberOfPeople','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] Duration_type_info = new String[]{'Duration','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] DurationUnits_type_info = new String[]{'DurationUnits','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] Work_type_info = new String[]{'Work','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] WorkUnits_type_info = new String[]{'WorkUnits','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] StartDate_type_info = new String[]{'StartDate','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] FinishDate_type_info = new String[]{'FinishDate','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] FunctionalLocationNumber_type_info = new String[]{'FunctionalLocationNumber','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] FunctionalLocation_type_info = new String[]{'FunctionalLocation','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] EquipmentNumber_type_info = new String[]{'EquipmentNumber','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] UserStatus_type_info = new String[]{'UserStatus','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] SystemStatus_type_info = new String[]{'SystemStatus','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] SystemCondition_type_info = new String[]{'SystemCondition','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] Recipient_type_info = new String[]{'Recipient','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] UnloadingPoint_type_info = new String[]{'UnloadingPoint','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] Assignments_type_info = new String[]{'Assignments','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_workorder_service','true','false'};
        private String[] field_order_type_info = new String[]{'ActivityNumber','ActivitySubNumber','ControlKey','Description','LongDescription','WorkCenter','NumberOfPeople','Duration','DurationUnits','Work','WorkUnits','StartDate','FinishDate','FunctionalLocationNumber','FunctionalLocation','EquipmentNumber','UserStatus','SystemStatus','SystemCondition','Recipient','UnloadingPoint','Assignments'};
    }
    public class UpdateWorkOrderActivitiesResponse {
        public SAPHOGWorkOrderServices.UpdateWorkOrderActivityResponse[] WorkOrderActivityResponseList;
        public String Message;
        public Boolean type_x;
        private String[] WorkOrderActivityResponseList_type_info = new String[]{'WorkOrderActivityResponseList','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','-1','false'};
        private String[] Message_type_info = new String[]{'Message','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] type_x_att_info = new String[]{'type'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_workorder_service','true','false'};
        private String[] field_order_type_info = new String[]{'WorkOrderActivityResponseList','Message'};
    }
    public class IsAliveRequest {
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_workorder_service','true','false'};
        private String[] field_order_type_info = new String[]{};
    }
    public class GetWorkOrderRequest {
        public String WorkOrderNumber;
        private String[] WorkOrderNumber_type_info = new String[]{'WorkOrderNumber','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_workorder_service','true','false'};
        private String[] field_order_type_info = new String[]{'WorkOrderNumber'};
    }
    public class CreateWorkOrderRequest {
        public String FunctionalLocationObjectId;
        public String MaintenancePlanningPlant;
        public String MainDescription;
        public String MainLongDescription;
        public String Priority;
        public String OrderType;
        public String MainWorkCenter;
        public String MaintenanceActivityType;
        public String ActivityNumber;
        public String ControlKey;
        public String UserStatus;
        public String ReferenceNotificationNumber;
        public String ReferenceId;
        public String EquipmentNumber;        
        private String[] FunctionalLocationObjectId_type_info = new String[]{'FunctionalLocationObjectId','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] MaintenancePlanningPlant_type_info = new String[]{'MaintenancePlanningPlant','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] MainDescription_type_info = new String[]{'MainDescription','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] MainLongDescription_type_info = new String[]{'MainLongDescription','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] Priority_type_info = new String[]{'Priority','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] OrderType_type_info = new String[]{'OrderType','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] MainWorkCenter_type_info = new String[]{'MainWorkCenter','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] MaintenanceActivityType_type_info = new String[]{'MaintenanceActivityType','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] ActivityNumber_type_info = new String[]{'ActivityNumber','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] ControlKey_type_info = new String[]{'ControlKey','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'1','1','false'};
        private String[] UserStatus_type_info = new String[]{'UserStatus','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] ReferenceNotificationNumber_type_info = new String[]{'ReferenceNotificationNumber','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] ReferenceId_type_info = new String[]{'ReferenceId','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] EquipmentNumber_type_info = new String[]{'EquipmentNumber','http://huskenergy.com/integration/enterprise_services/sap_workorder_service',null,'0','1','false'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_workorder_service','true','false'};
        private String[] field_order_type_info = new String[]{'FunctionalLocationObjectId','MaintenancePlanningPlant','MainDescription','MainLongDescription','Priority','OrderType','MainWorkCenter','MaintenanceActivityType','ActivityNumber','ControlKey','UserStatus','ReferenceNotificationNumber','ReferenceId'};
    }
    public class WorkOrderPort {
    
        HOG_Settings__c settingsHOG = HOG_Settings__c.getInstance();
        public String endpoint_x = settingsHOG.SAP_Create_Work_Order_Endpoint__c;        
        public String clientCertName_x = settingsHOG.Client_Certificate_Name__c;   
        public Integer timeout_x = Integer.valueof(settingsHOG.SAP_Create_Work_Order_Timeout__c);
        
        //public String endpoint_x = 'http://cgcapp399qa.hq.huskyenergy.com:8095/EnterpriseServices/SapWorkorderService';
        public Map<String,String> inputHttpHeaders_x;
        public Map<String,String> outputHttpHeaders_x;
        //public String clientCertName_x;
        public String clientCert_x;
        public String clientCertPasswd_x;
        //public Integer timeout_x;
        private String[] ns_map_type_info = new String[]{'http://huskyenergy.ca/sap/pm', 'SAPPm', 'http://huskenergy.com/integration/enterprise_services/sap_workorder_service', 'SAPHOGWorkOrderServices'};
        public SAPHOGWorkOrderServices.UpdateWorkOrderActivitiesResponse UpdateWorkOrderActivities(SAPHOGWorkOrderServices.UpdateWorkOrderActivityRequest[] WorkOrderActivityRequestList) {
            SAPHOGWorkOrderServices.UpdateWorkOrderActivitiesRequest request_x = new SAPHOGWorkOrderServices.UpdateWorkOrderActivitiesRequest();
            request_x.WorkOrderActivityRequestList = WorkOrderActivityRequestList;
            SAPHOGWorkOrderServices.UpdateWorkOrderActivitiesResponse response_x;
            Map<String, SAPHOGWorkOrderServices.UpdateWorkOrderActivitiesResponse> response_map_x = new Map<String, SAPHOGWorkOrderServices.UpdateWorkOrderActivitiesResponse>();
            response_map_x.put('response_x', response_x);
            WebServiceCallout.invoke(
              this,
              request_x,
              response_map_x,
              new String[]{endpoint_x,
              'UpdateWorkOrderActivities',
              'http://huskenergy.com/integration/enterprise_services/sap_workorder_service',
              'UpdateWorkOrderActivitiesRequest',
              'http://huskenergy.com/integration/enterprise_services/sap_workorder_service',
              'UpdateWorkOrderActivitiesResponse',
              'SAPHOGWorkOrderServices.UpdateWorkOrderActivitiesResponse'}
            );
            response_x = response_map_x.get('response_x');
            return response_x;
        }
        public SAPHOGWorkOrderServices.CreateWorkOrderResponse CreateWorkOrder(String FunctionalLocationObjectId,String MaintenancePlanningPlant,String MainDescription,String MainLongDescription,String Priority,String OrderType,String MainWorkCenter,String MaintenanceActivityType,String ActivityNumber,String ControlKey,String UserStatus,String ReferenceNotificationNumber,String ReferenceId,String EquipmentNumber) {
            SAPHOGWorkOrderServices.CreateWorkOrderRequest request_x = new SAPHOGWorkOrderServices.CreateWorkOrderRequest();
            request_x.FunctionalLocationObjectId = FunctionalLocationObjectId;
            request_x.MaintenancePlanningPlant = MaintenancePlanningPlant;
            request_x.MainDescription = MainDescription;
            request_x.MainLongDescription = MainLongDescription;
            request_x.Priority = Priority;
            request_x.OrderType = OrderType;
            request_x.MainWorkCenter = MainWorkCenter;
            request_x.MaintenanceActivityType = MaintenanceActivityType;
            request_x.ActivityNumber = ActivityNumber;
            request_x.ControlKey = ControlKey;
            request_x.UserStatus = UserStatus;
            request_x.ReferenceNotificationNumber = ReferenceNotificationNumber;
            request_x.ReferenceId = ReferenceId;
            request_x.EquipmentNumber = EquipmentNumber;			
            SAPHOGWorkOrderServices.CreateWorkOrderResponse response_x;
            Map<String, SAPHOGWorkOrderServices.CreateWorkOrderResponse> response_map_x = new Map<String, SAPHOGWorkOrderServices.CreateWorkOrderResponse>();
            response_map_x.put('response_x', response_x);
            WebServiceCallout.invoke(
              this,
              request_x,
              response_map_x,
              new String[]{endpoint_x,
              'CreateWorkOrder',
              'http://huskenergy.com/integration/enterprise_services/sap_workorder_service',
              'CreateWorkOrderRequest',
              'http://huskenergy.com/integration/enterprise_services/sap_workorder_service',
              'CreateWorkOrderResponse',
              'SAPHOGWorkOrderServices.CreateWorkOrderResponse'}
            );
            response_x = response_map_x.get('response_x');
            return response_x;
        }
        public String ReceiveWorkOrderFromSAP(SAPPm.DT_ECC_ALM_ORDER_HEADER Order_Header,SAPPm.DT_ECC_ALM_ORDER_OPERATION[] Order_Operation) {
            SAPPm.DT_ECC_ALM_ORDER request_x = new SAPPm.DT_ECC_ALM_ORDER();
            request_x.Order_Header = Order_Header;
            request_x.Order_Operation = Order_Operation;
            SAPHOGWorkOrderServices.ReceiveWorkOrderFromSAPResponse response_x;
            Map<String, SAPHOGWorkOrderServices.ReceiveWorkOrderFromSAPResponse> response_map_x = new Map<String, SAPHOGWorkOrderServices.ReceiveWorkOrderFromSAPResponse>();
            response_map_x.put('response_x', response_x);
            WebServiceCallout.invoke(
              this,
              request_x,
              response_map_x,
              new String[]{endpoint_x,
              'ReceiveWorkOrderFromSAP',
              'http://huskyenergy.ca/sap/pm',
              'MT_ECC_ALM_ORDER',
              'http://huskenergy.com/integration/enterprise_services/sap_workorder_service',
              'ReceiveWorkOrderFromSAPResponse',
              'SAPHOGWorkOrderServices.ReceiveWorkOrderFromSAPResponse'}
            );
            response_x = response_map_x.get('response_x');
            return response_x.CorrelationID;
        }
        public SAPHOGWorkOrderServices.CreateWorkOrdersResponse CreateWorkOrders(SAPHOGWorkOrderServices.CreateWorkOrderRequest[] WorkOrderRequestList) {
            SAPHOGWorkOrderServices.CreateWorkOrdersRequest request_x = new SAPHOGWorkOrderServices.CreateWorkOrdersRequest();
            request_x.WorkOrderRequestList = WorkOrderRequestList;
            SAPHOGWorkOrderServices.CreateWorkOrdersResponse response_x;
            Map<String, SAPHOGWorkOrderServices.CreateWorkOrdersResponse> response_map_x = new Map<String, SAPHOGWorkOrderServices.CreateWorkOrdersResponse>();
            response_map_x.put('response_x', response_x);
            WebServiceCallout.invoke(
              this,
              request_x,
              response_map_x,
              new String[]{endpoint_x,
              'CreateWorkOrders',
              'http://huskenergy.com/integration/enterprise_services/sap_workorder_service',
              'CreateWorkOrdersRequest',
              'http://huskenergy.com/integration/enterprise_services/sap_workorder_service',
              'CreateWorkOrdersResponse',
              'SAPHOGWorkOrderServices.CreateWorkOrdersResponse'}
            );
            response_x = response_map_x.get('response_x');
            return response_x;
        }
        public SAPHOGWorkOrderServices.ATLConfirmWorkOrderResponse ATLConfirmWorkOrder(String WorkOrderNumber,String OrderType,DateTime StartDateTime,DateTime StopDateTime) {
            SAPHOGWorkOrderServices.ATLConfirmWorkOrderRequest request_x = new SAPHOGWorkOrderServices.ATLConfirmWorkOrderRequest();
            request_x.WorkOrderNumber = WorkOrderNumber;
            request_x.OrderType = OrderType;
            request_x.StartDateTime = StartDateTime;
            request_x.StopDateTime = StopDateTime;
            SAPHOGWorkOrderServices.ATLConfirmWorkOrderResponse response_x;
            Map<String, SAPHOGWorkOrderServices.ATLConfirmWorkOrderResponse> response_map_x = new Map<String, SAPHOGWorkOrderServices.ATLConfirmWorkOrderResponse>();
            response_map_x.put('response_x', response_x);
            WebServiceCallout.invoke(
              this,
              request_x,
              response_map_x,
              new String[]{endpoint_x,
              '',
              'http://huskenergy.com/integration/enterprise_services/sap_workorder_service',
              'ATLConfirmWorkOrderRequest',
              'http://huskenergy.com/integration/enterprise_services/sap_workorder_service',
              'ATLConfirmWorkOrderResponse',
              'SAPHOGWorkOrderServices.ATLConfirmWorkOrderResponse'}
            );
            response_x = response_map_x.get('response_x');
            return response_x;
        }
        public String RefreshSalesforceWorkOrders(DateTime DateToRefresh,DateTime DateToRefreshEnd) {
            SAPHOGWorkOrderServices.RefreshSalesforceWorkOrdersRequest request_x = new SAPHOGWorkOrderServices.RefreshSalesforceWorkOrdersRequest();
            request_x.DateToRefresh = DateToRefresh;
            request_x.DateToRefreshEnd = DateToRefreshEnd;
            SAPHOGWorkOrderServices.RefreshSalesforceWorkOrdersResponse response_x;
            Map<String, SAPHOGWorkOrderServices.RefreshSalesforceWorkOrdersResponse> response_map_x = new Map<String, SAPHOGWorkOrderServices.RefreshSalesforceWorkOrdersResponse>();
            response_map_x.put('response_x', response_x);
            WebServiceCallout.invoke(
              this,
              request_x,
              response_map_x,
              new String[]{endpoint_x,
              'RefreshSalesforceWorkOrders',
              'http://huskenergy.com/integration/enterprise_services/sap_workorder_service',
              'RefreshSalesforceWorkOrdersRequest',
              'http://huskenergy.com/integration/enterprise_services/sap_workorder_service',
              'RefreshSalesforceWorkOrdersResponse',
              'SAPHOGWorkOrderServices.RefreshSalesforceWorkOrdersResponse'}
            );
            response_x = response_map_x.get('response_x');
            return response_x.Message;
        }
        public SAPHOGWorkOrderServices.GetWorkOrderResponse GetWorkOrder(String WorkOrderNumber) {
            SAPHOGWorkOrderServices.GetWorkOrderRequest request_x = new SAPHOGWorkOrderServices.GetWorkOrderRequest();
            request_x.WorkOrderNumber = WorkOrderNumber;
            SAPHOGWorkOrderServices.GetWorkOrderResponse response_x;
            Map<String, SAPHOGWorkOrderServices.GetWorkOrderResponse> response_map_x = new Map<String, SAPHOGWorkOrderServices.GetWorkOrderResponse>();
            response_map_x.put('response_x', response_x);
            WebServiceCallout.invoke(
              this,
              request_x,
              response_map_x,
              new String[]{endpoint_x,
              'GetWorkOrder',
              'http://huskenergy.com/integration/enterprise_services/sap_workorder_service',
              'GetWorkOrderRequest',
              'http://huskenergy.com/integration/enterprise_services/sap_workorder_service',
              'GetWorkOrderResponse',
              'SAPHOGWorkOrderServices.GetWorkOrderResponse'}
            );
            response_x = response_map_x.get('response_x');
            return response_x;
        }
        public SAPHOGWorkOrderServices.UpdateWorkOrderResponse UpdateWorkOrder(String WorkOrderNumber,String MainDescription,String MainLongDescription,String Priority,String MainWorkCenter,String MaintenanceActivityType,String ActivityNumber,String UserStatus,Date LastChangedDate,String LastChangedBy,String EquipmentNumber) {
            SAPHOGWorkOrderServices.UpdateWorkOrderRequest request_x = new SAPHOGWorkOrderServices.UpdateWorkOrderRequest();
            request_x.WorkOrderNumber = WorkOrderNumber;
            request_x.MainDescription = MainDescription;
            request_x.MainLongDescription = MainLongDescription;
            request_x.Priority = Priority;
            request_x.MainWorkCenter = MainWorkCenter;
            request_x.MaintenanceActivityType = MaintenanceActivityType;
            request_x.ActivityNumber = ActivityNumber;
            request_x.UserStatus = UserStatus;
            request_x.LastChangedDate = LastChangedDate;
            request_x.LastChangedBy = LastChangedBy;
            request_x.EquipmentNumber = EquipmentNumber;
            SAPHOGWorkOrderServices.UpdateWorkOrderResponse response_x;
            Map<String, SAPHOGWorkOrderServices.UpdateWorkOrderResponse> response_map_x = new Map<String, SAPHOGWorkOrderServices.UpdateWorkOrderResponse>();
            response_map_x.put('response_x', response_x);
            WebServiceCallout.invoke(
              this,
              request_x,
              response_map_x,
              new String[]{endpoint_x,
              'UpdateWorkOrder',
              'http://huskenergy.com/integration/enterprise_services/sap_workorder_service',
              'UpdateWorkOrderRequest',
              'http://huskenergy.com/integration/enterprise_services/sap_workorder_service',
              'UpdateWorkOrderResponse',
              'SAPHOGWorkOrderServices.UpdateWorkOrderResponse'}
            );
            response_x = response_map_x.get('response_x');
            return response_x;
        }
        public SAPHOGWorkOrderServices.ConfirmWorkOrderActivitiesResponse ConfirmWorkOrderActivities(SAPHOGWorkOrderServices.ConfirmWorkOrderActivityRequest[] WorkOrderActivityConfirmRequestList) {
            SAPHOGWorkOrderServices.ConfirmWorkOrderActivitiesRequest request_x = new SAPHOGWorkOrderServices.ConfirmWorkOrderActivitiesRequest();
            request_x.WorkOrderActivityConfirmRequestList = WorkOrderActivityConfirmRequestList;
            SAPHOGWorkOrderServices.ConfirmWorkOrderActivitiesResponse response_x;
            Map<String, SAPHOGWorkOrderServices.ConfirmWorkOrderActivitiesResponse> response_map_x = new Map<String, SAPHOGWorkOrderServices.ConfirmWorkOrderActivitiesResponse>();
            response_map_x.put('response_x', response_x);
            WebServiceCallout.invoke(
              this,
              request_x,
              response_map_x,
              new String[]{endpoint_x,
              'ConfirmWorkOrderActivities',
              'http://huskenergy.com/integration/enterprise_services/sap_workorder_service',
              'ConfirmWorkOrderActivitiesRequest',
              'http://huskenergy.com/integration/enterprise_services/sap_workorder_service',
              'ConfirmWorkOrderActivitiesResponse',
              'SAPHOGWorkOrderServices.ConfirmWorkOrderActivitiesResponse'}
            );
            response_x = response_map_x.get('response_x');
            return response_x;
        }
        public String IsAlive() {
            SAPHOGWorkOrderServices.IsAliveRequest request_x = new SAPHOGWorkOrderServices.IsAliveRequest();
            SAPHOGWorkOrderServices.IsAliveResponse response_x;
            Map<String, SAPHOGWorkOrderServices.IsAliveResponse> response_map_x = new Map<String, SAPHOGWorkOrderServices.IsAliveResponse>();
            response_map_x.put('response_x', response_x);
            WebServiceCallout.invoke(
              this,
              request_x,
              response_map_x,
              new String[]{endpoint_x,
              'IsAlive',
              'http://huskenergy.com/integration/enterprise_services/sap_workorder_service',
              'IsAliveRequest',
              'http://huskenergy.com/integration/enterprise_services/sap_workorder_service',
              'IsAliveResponse',
              'SAPHOGWorkOrderServices.IsAliveResponse'}
            );
            response_x = response_map_x.get('response_x');
            return response_x.ErrorMessage;
        }
    }
}